Subject: bug#75521: scratch/igc: Delete unused macro DEFVAR_LISP_NOPROX

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Jan 2025 17:54:14 +0200

> Date: Tue, 14 Jan 2025 21:58:37 +0000
> From: Pip Cet <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > I was asking about the problem where that code makes the values of
> > Vfont_weight_table and its 2 brethren vulnerable to being GC'ed.
> > That's the only problem I tried to solve with that patch.  That
> > Vfont_weight_table etc. are also updated to reflect the changes in
> > font_style_table is a nice benefit.
> 
> Not really a benefit: updating the variables might expose other
> (crashable) bugs more.
> 
> > If you agree that this problem will be solved by the patch, then I'd
> > like to install it, because it's very simple and localized, so the
> > risk to break something is IMO very low.
> 
> It introduces what are effectively new crashable bugs by attempting to
> fix old ones.  I'm neutral: installing this patch won't improve things
> significantly, but if you think there might be a slight improvement, you
> probably have your reasons.

Thanks, so I've now installed the patch on the master branch.